Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006486opensim[REGION] Specific OpenSim Modulepublic2013-01-01 22:432014-07-29 13:41
Reporterorenh 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0006486: [PATCH] Fixed: the AvatarEnteringNewParcel event wasn't triggered in some cases
DescriptionIf an avatar moved between regions: A -> B -> A, then when returning to region A the AvatarEnteringNewParcel wasn't triggered. This happened because the ScenePresence in region A still remembered its previous 'currentParcelUUID', so it appeared as if the avatar didn't change parcels. Now, however, when a ScenePresence becomes a child presence we clear its 'currentParcelUUID'.
Steps To ReproduceVisit region A; move to neighboring region B; move back to A. When entering A for the second time, the AvatarEnteringNewParcel event isn't triggered.
Additional InformationOne place where this bug is evident is with sun settings. Each region can have its own sun settings, and when the avatar moves to a region the sun should immediately change to the new region's settings. This is handled in AvatarEnteringNewParcel, so if that event doesn't work then the sun remains in the previous region's settings.
TagsNo tags attached.
Git Revision or version numberd9bcbcddbd78235ba6fa2a992813dbce9ec6363e
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
EnvironmentMono / Linux64
Mono Version2.10
Viewer
Attached Filespatch file icon 0001-Fixed-the-AvatarEnteringNewParcel-event-wasn-t-trigg.patch [^] (2,146 bytes) 2013-01-01 22:43 [Show Content]

- Relationships

-  Notes
(0023362)
justincc (administrator)
2013-01-02 15:28

Applied as git master 24e486e. Thanks Oren.

- Issue History
Date Modified Username Field Change
2013-01-01 22:43 orenh New Issue
2013-01-01 22:43 orenh Status new => assigned
2013-01-01 22:43 orenh Assigned To => justincc
2013-01-01 22:43 orenh File Added: 0001-Fixed-the-AvatarEnteringNewParcel-event-wasn-t-trigg.patch
2013-01-01 22:43 orenh Status assigned => patch included
2013-01-02 15:28 justincc Note Added: 0023362
2013-01-02 15:28 justincc Status patch included => resolved
2013-01-02 15:28 justincc Resolution open => fixed
2014-07-29 13:41 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker